Bug 1475858 - dnf or rpm not finding/fetching all relevant debug packages; Missing separate debuginfos
dnf or rpm not finding/fetching all relevant debug packages; Missing separate...
Status: NEW
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
: Triaged
: 1479936 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 09:30 EDT by RobbieTheK
Modified: 2017-09-11 09:21 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RobbieTheK 2017-07-27 09:30:46 EDT
I'm seeing this:
dnf debuginfo-install json-glib-1.2.8-1.fc26.i686
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
Last metadata expiration check: 0:28:27 ago on Wed 26 Jul 2017 02:19:39 PM EDT.
Package json-glib-debuginfo-1.2.6-1.fc26.i686 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

Then:

GNU gdb (GDB) Fedora 8.0-13.fc26
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
[New LWP 20548]
[New LWP 20553]
[New LWP 20551]
[New LWP 20550]
[New LWP 20552]
Reading symbols from /usr/bin/gnome-shell...Reading symbols from /usr/lib/debug/usr/bin/gnome-shell.debug...done.
done.

warning: Ignoring non-absolute filename: <linux-gate.so.1>
Missing separate debuginfo for linux-gate.so.1
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/bf/9ddd542b8eeb7527393fc378ce2fb0f77d052f

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/bin/gnome-shell'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00000000 in ?? ()
[Current thread is 1 (Thread 0xb1ed7980 (LWP 20548))]
Missing separate debuginfos, use: dnf debuginfo-install json-glib-1.2.8-1.fc26.i686
Comment 1 Igor Gnatenko 2017-07-27 09:43:44 EDT
Well, you ask for installing 1.2.8 debuginfo and it installs 1.2.6, because it can't find 1.2.8 one...
Comment 2 RobbieTheK 2017-07-27 10:02:05 EDT
(In reply to Igor Gnatenko from comment #1)
> Well, you ask for installing 1.2.8 debuginfo and it installs 1.2.6, because
> it can't find 1.2.8 one...

I'm just following the suggested commands from running gdb. Is there a way to get around the error?
Comment 3 Igor Gnatenko 2017-07-27 10:03:07 EDT
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/bf/9ddd542b8eeb7527393fc378ce2fb0f77d052f
Comment 4 RobbieTheK 2017-07-27 12:34:46 EDT
(In reply to Igor Gnatenko from comment #3)
> Try: dnf --enablerepo='*debug*' install
> /usr/lib/debug/.build-id/bf/9ddd542b8eeb7527393fc378ce2fb0f77d052f

That's what I thought/tried and get this:
dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/bf/9ddd542b8eeb7527393fc378ce2fb0f77d052f
Last metadata expiration check: 0:00:55 ago on Thu 27 Jul 2017 12:32:46 PM EDT.
No package /usr/lib/debug/.build-id/bf/9ddd542b8eeb7527393fc378ce2fb0f77d052f available.
Error: Unable to find a match
Comment 5 RobbieTheK 2017-07-27 12:48:26 EDT
So I tried gdb on another core file and got a little further but alas the same ending error:
 dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/5e/d0da5237bbfefa61bf35ca464610aa367151ad
Last metadata expiration check: 0:06:42 ago on Thu 27 Jul 2017 12:32:46 PM EDT.
Dependencies resolved.
=====================================================================================================================================================================
 Package                                            Arch                       Version                                 Repository                               Size
=====================================================================================================================================================================
Installing:
 kernel-PAE-debuginfo                               i686                       4.11.11-300.fc26                        updates-debuginfo                       528 M
Installing dependencies:
 kernel-debuginfo-common-i686                       i686                       4.11.11-300.fc26                        updates-debuginfo                        58 M

Transaction Summary
=====================================================================================================================================================================
Install  2 Packages

Total download size: 586 M
Installed size: 2.3 G
Is this ok [y/N]: y
Downloading Packages:
(1/2): kernel-debuginfo-common-i686-4.11.11-300.fc26.i686.rpm                                                                        2.7 MB/s |  58 MB     00:21
(2/2): kernel-PAE-debuginfo-4.11.11-300.fc26.i686.rpm                                                                                4.1 MB/s | 528 MB     02:09
---------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                4.5 MB/s | 586 MB     02:09
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                             1/1
  Installing       : kernel-debuginfo-common-i686-4.11.11-300.fc26.i686                                                                                          1/2
  Installing       : kernel-PAE-debuginfo-4.11.11-300.fc26.i686                                                                                                  2/2
  Verifying        : kernel-PAE-debuginfo-4.11.11-300.fc26.i686                                                                                                  1/2
  Verifying        : kernel-debuginfo-common-i686-4.11.11-300.fc26.i686                                                                                          2/2

Installed:
  kernel-PAE-debuginfo.i686 4.11.11-300.fc26                                    kernel-debuginfo-common-i686.i686 4.11.11-300.fc26

Complete!
[root@curie ~]# gdb  /var/lib/systemd/coredump/core.gnome-shell.42.0c604499cac9412a9e5e2a619c539616.4574.1501173072000000
GNU gdb (GDB) Fedora 8.0-13.fc26
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
[New LWP 4574]
[New LWP 4597]
[New LWP 4582]
[New LWP 4598]
[New LWP 4581]
Reading symbols from /usr/bin/gnome-shell...Reading symbols from /usr/lib/debug/usr/bin/gnome-shell.debug...done.
done.
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/bin/gnome-shell'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00000000 in ?? ()
[Current thread is 1 (Thread 0xb1eed980 (LWP 4574))]
Missing separate debuginfos, use: dnf debuginfo-install json-glib-1.2.8-1.fc26.i686
(gdb) q
[root@curie ~]# dnf debuginfo-install json-glib-1.2.8-1.fc26.i686
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
Last metadata expiration check: 0:15:07 ago on Thu 27 Jul 2017 12:32:13 PM EDT.
Package json-glib-debuginfo-1.2.6-1.fc26.i686 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Comment 6 Daniel Mach 2017-08-02 07:05:40 EDT
DNF team is going to fix this.
dnf should install corresponding debuginfo (w/ the same version, release and arch) or report an error.
Comment 7 RobbieTheK 2017-08-02 10:43:02 EDT
Not sure if it's related but this also happens:
dnf distro-sync
Last metadata expiration check: 1:55:44 ago on Wed 02 Aug 2017 08:45:12 AM EDT.
Error: 
 Problem: The operation would result in removing the following protected packages: sudo
Segmentation fault (core dumped)

Core file at http://storm.cis.fordham.edu/~rkudyba/core.dnf.0.04bafaf07f1740d8aa42c351105c0435.19512.1501684678000000.lz4
Comment 8 Igor Gnatenko 2017-08-30 02:52:06 EDT
*** Bug 1479936 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.